Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_StreamFactory Class Reference

A generic factory used to create an appropriate

See also:
  ACEXML_CharStream from a SYSTEM id. This class creates a , ACEXML_FileCharStream or a , ACEXML_HttpCharStream depending on the URI supplied.

More...

`#include <StreamFactory.h>`

List of all members.

## Public Methods
virtual | ~ACEXML_StreamFactory (void)
virtual ACEXML_CharStream * | create_stream (const ACEXML_Char *uri)

## Detailed Description

A generic factory used to create an appropriate

See also:
  ACEXML_CharStream from a SYSTEM id. This class creates a , ACEXML_FileCharStream or a , ACEXML_HttpCharStream depending on the URI supplied.

Todo:
  Write a stream abstraction for handling ftp:// type URIs and add a function to create and return such streams. That is the only chunk missing in the armour.

## Constructor & Destructor Documentation

ACEXML_StreamFactory::~ACEXML_StreamFactory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

ACEXML_CharStream * ACEXML_StreamFactory::create_stream | ( | const ACEXML_Char * | uri | ) | `[virtual]`

  | Create the appropriate stream from the uri passed and return the stream. The caller is responsible for deallocating the returned stream. Parameters:
  uri | SYSTEM id or a stream of characters (in the case of a StrCharStream).

The documentation for this class was generated from the following files:

- StreamFactory.h
- StreamFactory.cpp